# classes/phing/tasks/ext/coverage/CoverageReportTransformer.php

## \CoverageReportTransformer
jump to top

Transform a Phing/Xdebug code coverage xml report.

The default transformation generates an html report in framed style.

author
  Michiel Rook
package
  phing.tasks.ext.coverage
since
  2.1.0
version
  $Id: CoverageReportTransformer.php 1123 2011-05-31 13:51:42Z mrook $

### Properties

`$document= 'NULL'`
Default value `NULL` Details

Type

`$styleDir= ''`
Details

Type

`$task= 'NULL'`
Default value `NULL` Details

Type

`$title= ''`

title of the project, used in the coverage report

Details

Type

`$toDir= ''`
Details

Type

`boolean $useSortTable= 'false'`

Whether to use the sorttable JavaScript library, defaults to false See {@link http://www.kryogenix.org/code/browser/sorttable/)}

Default value `false` Details

Type
  boolean

### Methods

`__construct( $task ) :`
Parameters

Name | Type | Description
--- | --- | ---
$task |  |

`getStyleSheet( ) :`
`setStyleDir( $styleDir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$styleDir |  |

`setTitle( $title ) :`
Setter for title parameter
Parameters

Name | Type | Description
--- | --- | ---
$title |  |

`setToDir( $toDir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$toDir |  |

`setUseSortTable( boolean $useSortTable ) :`
Sets whether to use the sorttable JavaScript library, defaults to false See {@link http://www.kryogenix.org/code/browser/sorttable/)}
Parameters

Name | Type | Description
--- | --- | ---
$useSortTable | boolean |

`setXmlDocument( $document ) :`
Parameters

Name | Type | Description
--- | --- | ---
$document |  |

`transform( ) :`
Documentation was generated by DocBlox 0.13.1.